oniguruma update breaks php-7.4

hkraal

New member
Joined
Apr 10, 2017
Messages
4
Just ran into the following error which was fixed by recompiling PHP. Just dropping it here in case others run into the same issue;

Code:
# /usr/local/php74/bin/php74 -v
php: error while loading shared libraries: libonig.so.2: cannot open shared object file: No such file or directory
Apparently this is related to the upgrade of the oniguruma package from 5.9 to 6.8 yesterday;
Code:
May 10 08:44:34 Installed: oniguruma-5.9.5-3.el7.x86_64
May 10 08:44:34 Installed: oniguruma-devel-5.9.5-3.el7.x86_64
...
Jun 18 08:26:34 Updated: oniguruma.x86_64 6.8.2-1.el7
Jun 18 08:26:34 Updated: oniguruma-devel.x86_64 6.8.2-1.el7
Code:
# rpm -ql oniguruma
/usr/lib64/libonig.so.5
/usr/lib64/libonig.so.5.0.0
...
 

smtalk

Administrator
Staff member
Joined
Aug 22, 2006
Messages
9,305
Location
LT, EU
 

hkraal

New member
Joined
Apr 10, 2017
Messages
4
Hehe, I should have searched first. I guess I was not fully awoke yet ;)
 
Top